uuagc

Pretty

# Documentation

type PP_Doc = Doc

class Show a => PP a where

Methods

pp :: a -> PP_Doc

ppList :: [a] -> PP_Doc

Instances

PP Char |
PP Float |
PP Int |
PP Doc |
PP Identifier |
PP a => PP [a] |

disp :: PP_Doc -> Int -> ShowS

(>|<) :: (PP a, PP b) => a -> b -> PP_Doc

(>-<) :: (PP a, PP b) => a -> b -> PP_Doc

(>#<) :: (PP a, PP b) => a -> b -> PP_Doc

ppWithLineNr :: PP a => (Int -> a) -> PP_Doc

hlist :: PP a => [a] -> PP_Doc

vlist :: PP a => [a] -> PP_Doc

hv :: PP a => [a] -> PP_Doc

fill :: PP a => [a] -> PP_Doc

indent :: PP a => Int -> a -> PP_Doc

pp_block :: (PP a, PP b, PP c) => a -> b -> c -> [PP_Doc] -> PP_Doc

vlist_sep :: (PP a, PP b) => a -> [b] -> PP_Doc

pp_parens :: PP a => a -> PP_Doc

pp_braces :: PP a => a -> PP_Doc

hv_sp :: PP a => [a] -> PP_Doc

empty :: PP_Doc

text :: String -> PP_Doc